<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="styles/styles.css" />
    <title>Task2.4</title>
  </head>
  <body>
    <main class="main">
      <div class="header">
        <h1 class="text">Create Account</h1>
      </div>

      <form id="registration" class="form-container">
        <div id="validationMessageContainer" class="validation-container"></div>

        <div class="item-half-container">
          <label for="firstName" class="item-label text">First Name*</label>
          <input id="firstName" type="text" class="input" />
        </div>

        <div class="item-half-container">
          <label for="lastName" class="item-label text">Last Name</label>
          <input id="lastName" type="text" class="input" />
        </div>

        <div class="item-container">
          <label for="email" class="item-label text">Email*</label>
          <input id="email" type="email" class="input" />
        </div>

        <div class="item-half-container">
          <label for="pass" class="item-label text">Password*</label>
          <input id="pass" type="password" class="input" />
        </div>

        <div class="item-half-container">
          <label for="confirmpass" class="item-label text">
            Confirm Password*
          </label>
          <input id="confirmpass" type="password" class="input" />
        </div>

        <div class="item-half-container">
          <label for="gender" class="item-label text">Gender:</label>
          <div style="flex-direction: row">
            <input
              id="male"
              type="radio"
              class="input check"
              name="gender"
              value="Male"
            />
            <label for="male" class="item-label text">Male</label>
            <input
              id="female"
              type="radio"
              class="input check"
              name="gender"
              value="Female"
            />
            <label for="female" class="item-label text">Female</label>
          </div>
        </div>

        <div class="item-half-container">
          <label for="hobbies" class="item-label text">Hobbies</label>
          <div style="flex-direction: row">
            <input
              type="checkbox"
              class="input check"
              id="hobby1"
              name="hobby1"
              value="Music"
            />
            <label for="hobby1" class="item-label text"> Music</label>
            <input
              type="checkbox"
              class="input check"
              id="hobby2"
              name="hobby2"
              value="Sports"
            />
            <label for="hobby2" class="item-label text"> Sports</label>
            <input
              type="checkbox"
              class="input check"
              id="hobby3"
              name="hobby3"
              value="Travel"
            />
            <label for="hobby3" class="item-label text"> Travel</label>
            <input
              type="checkbox"
              class="input check"
              id="hobby4"
              name="hobby4"
              value="Movies"
            />
            <label for="hobby4" class="item-label text"> Movies</label>
          </div>
        </div>

        <div class="item-half-container">
          <label for="incomeSource" class="item-label text"
            >Source of Income</label
          >
          <select id="incomeSource" form="registration" class="input text">
            <option value="Employed">Employed</option>
            <option value="Employed">Investor</option>
            <option value="Employed">Donations</option>
          </select>
        </div>

        <div class="item-half-container slidercontainer">
          <label for="income" class="item-label text">
            Income: <span id="incomeValue"></span>
          </label>
          <input
            id="income"
            class="input slider"
            type="range"
            min="200"
            max="5000"
          />
        </div>

        <div class="item-half-container">
          <label for="profilePic" class="item-label text"
            >Upload Profile Picture</label
          >
          <input id="profilePic" type="file" class="text" class="input" />
        </div>

        <div class="item-half-container">
          <label for="age" class="item-label text">Age</label>
          <input id="age" type="number" class="input" />
        </div>

        <div class="item-container">
          <label for="bio" class="item-label text">Bio</label>
          <textarea
            id="bio"
            rows="5"
            cols="50"
            form="registration"
            class="input textarea"
          ></textarea>
        </div>
      </form>

      <div class="footer">
        <input
          id="submit"
          type="submit"
          class="input text submit"
          value="Create"
        />
      </div>
    </main>
  </body>
</html>
